%global pypi_name geopy

Name:           python-%{pypi_name}
Version:        1.23.0
Release:        1%{?dist}
Summary:        Python client for several popular geocoding web services

License:        MIT
URL:            https://geopy.readthedocs.io
Source0:        https://github.com/geopy/geopy/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
geopy makes it easy for Python developers to locate the coordinates of
addresses, cities, countries, and landmarks across the globe using third-
party geocoders and other data sources.

geopy includes geocoder classes for the OpenStreetMap Nominatim, Google
Geocoding API (V3), and many other geocoding services.

%package -n python2-%{pypi_name}
Summary:        %{summary}
Requires:       python2-GeographicLib

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-Cython
BuildRequires:  python2-pytest
BuildRequires:  python2-GeographicLib
BuildRequires:  python2-pytz
BuildRequires:  python2-mock
BuildRequires:  python2-docutils
BuildRequires:  python2-statistics
BuildRequires:  python-six
BuildRequires:  python2-contextlib2
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
geopy makes it easy for Python developers to locate the coordinates of
addresses, cities, countries, and landmarks across the globe using third-
party geocoders and other data sources.

geopy includes geocoder classes for the OpenStreetMap Nominatim, Google
Geocoding API (V3), and many other geocoding services.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build

%install
%py2_install

%check
PYTHONPATH=%{buildroot}/%{python2_sitelib}/ py.test-%{python2_version} -v test -k "not proxy and not yandex and not what3words and not banfrance and not arcgist and not databc and not geocodefarm and not geonames and not nominatim and not photon and not arcgis and not algolia"

%files -n python2-%{pypi_name}
#%doc AUTHORS CONTRIBUTING.md README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}*.egg-info

%changelog
* Mon Mar 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.21.0-1
- Update to latest upstream release 1.21.0

* Tue Oct 22 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.20.0-2
- Address issues (rhbz#1723052)

* Thu Jun 20 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.20.0-1
- Initial package for Fedora
